---
title: Aadhaar App Auth Generation API
slug: api-marketplace/aadhaar-app-auth-generation-api
createdAt: 2026-10-09T11:21:59.291Z
---

## Introduction

Th&#x65;**&#x20;Aadhaar auth generation API** helps in generating **x-access-token** to use Aadhaar App QR generation API Headers.

***

## API details

### Endpoint

:::CodeblockTabs
Production Endpoint

```javascript
POST https://api.signzy.app/api/v3/aadhaar/auth-token
```
:::

:::CodeblockTabs
UAT Endpoint

```javascript
 POST https://api-preproduction.signzy.app/api/v3/aadhaar/auth-token
```
:::

***

### Request body parameters

| **Parameter** | **Data Type** | **Description**   | **Required** |
| ------------- | ------------- | ----------------- | ------------ |
| \{}           | String        | Only empty string | Mandatory    |

```json
{}
```

***

### Request Headers

| **Name&#x20;** | **Value**        | **Required** | **Description**                                                                                            |
| -------------- | ---------------- | ------------ | ---------------------------------------------------------------------------------------------------------- |
| Content-type   | application/json | Mandatory    | The type of content that the request body contains.                                                        |
| Authorization  | XXXXXXXXXXXXXXX  | Mandatory    | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |

***

### Code Samples

:::CodeblockTabs
Curl

```curl
curl --location 'https://api-preproduction.signzy.app/api/v3/aadhaar/auth-token' \
--header 'Content-Type: application/json' \
--header 'Authorization;' \
--data '{}'
```

Node.js

```nodejs
const axios = require('axios');
let data = JSON.stringify({
  "image": "<Image url of the aadhaar card qr code>"
});

let config = {
  method: 'post',
  maxBodyLength: Infinity,
  url: 'https://api-preproduction.signzy.app/api/v3/aadhaar/auth-token',
  headers: { 
    'Content-Type': 'application/json', 
    'Authorization': '<Authorization token>'
  },
  };

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});

```

Python

```python
import http.client
import json

conn = http.client.HTTPSConnection("api-preproduction.signzy.app")
payload = json.dumps({
})
headers = {
  'Content-Type': 'application/json',
  'Authorization': '<Authorization token>'
}
conn.request("POST", "/api/v3/aadhaar/auth-token", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

GO

```go
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api-preproduction.signzy.app/api/v3/aadhaar/auth-token"
  method := "POST"

  payload := strings.NewReader(`{
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "<Authorization token>")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```
:::

***

### Response body parameters

| **Parameter** | **Data Type** | **Description**                                              |
| ------------- | ------------- | ------------------------------------------------------------ |
| result        | Object        | Contains the response for the Aadhaar card holder.           |
| accessToken   | String        | Possible value is accessToken                                |
| expiresIn     | String        | Represents the validity of accessToken (Validity 15 Minutes) |

:::CodeblockTabs
200

```json
{
    "result": {
        "accessToken": "eyJhbGciOiJFUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIzMzUwNWY5Zi00YWY5LTRmNjUtOGMzNi02NDZhZWVjY2FmZWIiLCJ0eXBlIjoiYWNjZXNzIiwiaWF0IjoxNzkxNTQ1NTQxLCJleHAiOjE3OTE1NDY0NDEsImlzcyI6ImFhZGhhYXItdWlkYWkifQ.lZk8s_LeE0eipwwKsLPxbJx5F9cdjuqaYKfK8UAb-Q5M8wOHOwXmkjkQV52JaEV6069FBsN8bCsDtBBKUmQiQg",
        "expiresIn": 900
    }
}
```

400

```json
// If body is empty
{
    "statusCode": 400,
    "code": "FST_ERR_CTP_EMPTY_JSON_BODY",
    "error": "Bad Request",
    "message": "Body cannot be empty when content-type is set to 'application/json'"
}


```

401

```json
// If Authorization token is not passed
{
    "message": "No API key found in request"
}

// If Authorization token is invalid
{
    "message": "Invalid authentication credentials"
}
```
:::

***

**Contact Us for Any Assistance**

If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at <font color="#2166ae">**help\@signzy.com**</font>. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!

### Error Parameter

| **PARAMETER NAME** | **DESCRIPTION**                    |
| ------------------ | ---------------------------------- |
| error              | This parameter contains the error. |
| error.statusCode   | Request Status code from Signzy    |
| error.name         | the name of the error              |
| error.message      | the error message                  |
| error.status       | status of the api                  |
| error.reason       | Reason for error                   |
| error.type         | Type of the error                  |

### Error Codes

| **CODE** | **DESCRIPTION**      | **INTERPRETATION**                               |
| -------- | -------------------- | ------------------------------------------------ |
| 200      | Success              |                                                  |
| 400      | Bad Request          | Input Parameter has a missing required parameter |
| 401      | Authorization Failed | Authorization token is invalid.                  |



:::hint{type="success"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.


You can reach out to us at [help@signzy.com](#).
:::

